Search documentation of phoenix_kit

# PhoenixKitWeb.Live.Users.Roles (phoenix_kit v1.7.87)

Copy Markdown View Source

Role management LiveView for PhoenixKit admin panel.

Provides interface for viewing and managing user roles and permissions.

## Summary

### Functions

handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

handle_info(arg1, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.

## Functions

# handle_event(binary, arg2, socket)

Callback implementation for `Phoenix.LiveView.handle_event/3`.

# handle_info(arg1, socket)

Callback implementation for `Phoenix.LiveView.handle_info/2`.

# mount(params, session, socket)

Callback implementation for `Phoenix.LiveView.mount/3`.

# render(assigns)

Callback implementation for `Phoenix.LiveView.render/1`.